#! /usr/bin/env bash

#SBATCH --partition=batch
#SBATCH --ntasks-per-node=4
#SBATCH --nodes=4
#SBATCH --time=1:00

module load gcc/9.2.0 openmpi/4.0.3
# Note:
#   The above versions are matching w/ my system's
#   versions, thus making compiling/debugging easier.

# Uncomment the following to compile the project
# Note:
#   In order for the MPI to run properly (or to run entirely), we need
#   to compile it in hpc using the loaded modules above.
# Note:
#   Consider moving this to a separate stage before sbatch the tasks.
# make distbitonic
# make distbubbletonic

# Suppress unused UCX_ROOT warning
export UCX_WARN_UNUSED_ENV_VARS=n

# Suppress CUDA-aware support is disabled warning
export OMPI_MCA_opal_warn_on_missing_libcuda=0

srun ./bin/dist_v05