/*!
 * \file
 * \brief   Distributed sort implementation.
 *
 * \author
 *    Christos Choutouridis AEM:8997
 *    <cchoutou@ece.auth.gr>
 */

#if !defined DEBUG
#define NDEBUG
#endif
#include <cassert>

#include "utils.hpp"
#include "distsort.hpp"


/*!
 * Predicate to check if the node is active in the current iteration of the bubbletonic
 * sort exchange.
 *
 * @param node      The node to check
 * @param nodes     The total number of nodes
 * @return          True if the node is active, false otherwise
 */
bool isActive(mpi_id_t node, size_t nodes) noexcept {
    assert(nodes > 0);
    return (node >= 0) && (node < (nodes-1));
}

